Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354377 - RFE: Support creating HTTP->HTTPS redirection when creating edge routes using the CLI
Summary: RFE: Support creating HTTP->HTTPS redirection when creating edge routes using...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Michail Kargakis
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 08:13 UTC by Brendan Mchugh
Modified: 2016-09-28 16:59 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-28 16:59:53 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Brendan Mchugh 2016-07-11 08:13:58 UTC
1. Proposed title of this feature request
RFE: Support creating HTTP->HTTPS redirection when creating edge routes using the CLI

3. What is the nature and description of the request?  
Currently the Web interface allows you to setup an 'insecureEdgeTerminationPolicy' when you create a route, however the CLI requires that you either create the route from a file, or manually edit the route after creation to achieve this.

4. Why does the customer need this? (List the business requirements here)  
It is frustrating that the Web UI is more functional than the CLI.

5. How would the customer like to achieve this? (List the functional requirements here)  
Suggested syntax:
oc create route edge --service=<service> --insecurepolicy=<none|redirect|allowed>

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  

10. List any affected packages or components.
atomic-openshift-clients

Comment 2 Michail Kargakis 2016-07-18 09:48:51 UTC
Opened https://github.com/openshift/origin/pull/9890

Comment 3 Yan Du 2016-08-02 09:00:39 UTC
Test on latest origin env (devenv_4722), issue have been fixed.

# oc create route edge --service=service-unsecure --insecure-policy=abc
The Route "service-unsecure" is invalid.
spec.tls.insecureEdgeTerminationPolicy: Invalid value: "abc": invalid value for InsecureEdgeTerminationPolicy option, acceptable values are None, Allow, Redirect, or empty

# oc create route edge --service=service-unsecure --insecure-policy=Allow
route "service-unsecure" created

# oc create route edge --service=service-unsecure --insecure-policy=Redirect
route "service-unsecure" created

And route works well after setting insecure policy. Move to verified.

Comment 4 zhaozhanqi 2016-08-02 10:23:07 UTC
Also verified this bug on OSE version:

openshift v3.3.0.12
kubernetes v1.3.0+57fb9ac
etcd 2.3.0+git


# oc create route edge --service=service-unsecure --insecure-policy=Allow
# oc create route edge --service=service-unsecure --insecure-policy=Redirect
# oc create route edge --service=service-unsecure --insecure-policy=None
# oc create route edge --service=service-unsecure --insecure-policy=


Note You need to log in before you can comment on or make changes to this bug.